Subject: Re: ls /dev/*
From: Sam Steingold <[email-masked]>
To: "Chris January" <[email-masked]>
Cc: <[email-masked]>
Date: Wed, 03 Nov 2004 09:40:49 -0500

> * Chris January <[email-masked]> [2004-11-03 09:08:44 +0000]:
>
>> > * Christopher Faylor 
>> <[email-masked]> [2004-11-02 15:01:13 -0500]:
>> >
>> > On Tue, Nov 02, 2004 at 02:55:39PM -0500, Sam Steingold wrote:
>> >>why isn't /dev a more "usual" directory?
>> >>cd /dev, ls /dev all fail, while
>> >>cat /dev/clipboard works.
>> >
>> > No one has implemented the special handling required for /dev which 
>> > would enable things like opendir/readdir or cd to work.
>> 
>> Thanks, I guessed that much.  I also know about "PTC".
>> (fhandler_proc.cc is too long,
>> I guess fhandler_dev.cc would be just as long, and I suspect 
>> that fhandler_dev.cc is not the only this missing).
>> 
>> Is this on anyone's TODO list?

> Actually it's not that difficult. I've already implemented it once. See this
> patch:
> http://www.cygwin.com/ml/cygwin-patches/2002-q2/msg00191.html
> It was due to be merged sometime around 1.3.12 but I think I and the
> maintainers forgot about it. Feel free to update the patch to latest CVS and
> re-submit it.

I am sure it would be much easier for you to update your own patch.
Could you please do it?

-- 
Sam Steingold (http://www.podval.org/~sds) running w2k
<http://www.camera.org> <http://www.iris.org.il> <http://www.memri.org/>
<http://www.mideasttruth.com/> <http://www.honestreporting.com>
He who laughs last did not get the joke.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/